Bug 87844 - Virtual Terminals are scrambled when switched to from X-Windows
Virtual Terminals are scrambled when switched to from X-Windows
Status: CLOSED CURRENTRELEASE
Product: Red Hat Linux
Classification: Retired
Component: XFree86 (Show other bugs)
9
i686 Linux
medium Severity medium
: ---
: ---
Assigned To: X/OpenGL Maintenance List
David Lawrence
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2003-04-02 22:15 EST by Garrett Mickelson
Modified: 2007-04-18 12:52 EDT (History)
1 user (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2004-09-29 16:22:10 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description Garrett Mickelson 2003-04-02 22:15:41 EST
From Bugzilla Helper:
User-Agent: Mozilla/5.0 (Windows; U; Windows NT 5.1(Unfortunately); en-US;
rv:1.2.1) Gecko/20021130

Description of problem:
I have a Toshiba Satellite 1415-s173 that when X-Windows starts, any switch to a
virtual terminal causes the screen to be scrambled. This also happens when
shutting down via GDM / Gnome log-out dialog. This is not a problem in RunLevel
3, nor during bootup (kernel loading / Init Scripts). I have since installed the
NVIDIA drivers, and it make no difference, so it looks like XFree.

Version-Release number of selected component (if applicable):
XFree86-4.3

How reproducible:
Always

Steps to Reproduce:
1. Buy a Toshiba Satellite :-)  or borrow a friend's.
2. Install Red hat 9
3. Try switching to a VT during graphical install....
4. OR once installed, try switching to a VT once X-Windows is running
    

Actual Results:  The screen is totally scrambled. I can't make out anything. I
can go back to X with CTRL-ALT-F7.

Expected Results:  I should see a login prompt, but you knew that already.... :-)

Additional info:

I have the screen set up in X as a Generic Laptop LCD @ 1024x768, which was no
problem in RH8
Comment 1 Mike Chambers 2003-04-02 22:21:46 EST
Please attach your XFree config file and log file so this can be troubleshooted
further.
Comment 2 Mike Doyle 2004-06-05 02:24:27 EDT
I found a workaround for this. 
 
Try commenting out any "vga=" kernel parameters in your bootloader 
configuration file.  This will load the default console resolution, 
and XFree86 seems to have an easier time switching to VT's in this 
mode. 
Comment 3 Mike A. Harris 2004-09-29 16:22:10 EDT
Since this bugzilla report was filed, there have been several major
updates to the X Window System, which may resolve this issue.  We
encourage you to upgrade to the latest version of Fedora Core
(http://fedora.redhat.com).

If this issue turns out to still be reproduceable in the latest
version of Fedora Core, please file a bug report in the X.Org
bugzilla located at http://bugs.freedesktop.org in the "xorg"
component.

Once you've filed your bug report to X.Org, if you paste the new
bug URL here, Red Hat will continue to track the issue in the
centralized X.Org bug tracker, and will review any bug fixes
that become available for consideration in future updates.

Note You need to log in before you can comment on or make changes to this bug.